class Attachment < ApplicationRecord
  belongs_to :content, polymorphic: true

  def Attachment.save_file(beepasture, user, type, file, sighting=nil)
    return if file.nil?
    dir = Rails.root.join('public','data')
    unless File.exists? dir
      Dir.mkdir dir
    end
    filename = file.original_filename
    a = Attachment.new
    a.name = filename
    a.mime = file.content_type
    unless sighting.nil?
      s = Sighting.create user: user, beepasture: beepasture, sighting: sighting.to_i
      Rails.logger.info s.user
      a.content = s
      s.attachments << a
#      a.content_id = s.id
#      a.content_type = 'Sighting'
    else
      a.content = beepasture
      beepasture.attachments << a
#      a.content_id = beepasture.id
#      a.content_type = 'Beepasture'
    end
    a.save!

    path = File.join(dir, a.id.to_s)
    Rails.logger.info path
    File.open(path, 'wb') do |f| f.write(file.read) end
    a.update path: path, size: File.size(path)
  end
end
