require "test_helper"

class BeepasturesControllerTest < ActionDispatch::IntegrationTest
  setup do
    @beepasture = beepastures(:one)
  end

  test "should get index" do
    get beepastures_url
    assert_response :success
  end

  test "should get new" do
    get new_beepasture_url
    assert_response :success
  end

  test "should create beepasture" do
    assert_difference('Beepasture.count') do
      post beepastures_url, params: { beepasture: { address: @beepasture.address, city: @beepasture.city, latitude: @beepasture.latitude, longitude: @beepasture.longitude, zip: @beepasture.zip } }
    end

    assert_redirected_to beepasture_url(Beepasture.last)
  end

  test "should show beepasture" do
    get beepasture_url(@beepasture)
    assert_response :success
  end

  test "should get edit" do
    get edit_beepasture_url(@beepasture)
    assert_response :success
  end

  test "should update beepasture" do
    patch beepasture_url(@beepasture), params: { beepasture: { address: @beepasture.address, city: @beepasture.city, latitude: @beepasture.latitude, longitude: @beepasture.longitude, zip: @beepasture.zip } }
    assert_redirected_to beepasture_url(@beepasture)
  end

  test "should destroy beepasture" do
    assert_difference('Beepasture.count', -1) do
      delete beepasture_url(@beepasture)
    end

    assert_redirected_to beepastures_url
  end
end
