require "application_system_test_case"

class BeepasturesTest < ApplicationSystemTestCase
  setup do
    @beepasture = beepastures(:one)
  end

  test "visiting the index" do
    visit beepastures_url
    assert_selector "h1", text: "Beepastures"
  end

  test "creating a Beepasture" do
    visit beepastures_url
    click_on "New Beepasture"

    fill_in "Address", with: @beepasture.address
    fill_in "City", with: @beepasture.city
    fill_in "Latitude", with: @beepasture.latitude
    fill_in "Longitude", with: @beepasture.longitude
    fill_in "Zip", with: @beepasture.zip
    click_on "Create Beepasture"

    assert_text "Beepasture was successfully created"
    click_on "Back"
  end

  test "updating a Beepasture" do
    visit beepastures_url
    click_on "Edit", match: :first

    fill_in "Address", with: @beepasture.address
    fill_in "City", with: @beepasture.city
    fill_in "Latitude", with: @beepasture.latitude
    fill_in "Longitude", with: @beepasture.longitude
    fill_in "Zip", with: @beepasture.zip
    click_on "Update Beepasture"

    assert_text "Beepasture was successfully updated"
    click_on "Back"
  end

  test "destroying a Beepasture" do
    visit beepastures_url
    page.accept_confirm do
      click_on "Destroy", match: :first
    end

    assert_text "Beepasture was successfully destroyed"
  end
end
