class CreateAttachments < ActiveRecord::Migration[6.1]
  def change
    create_table :attachments do |t|
      t.string :name
      t.string :path
      t.integer :size
      t.string :mime
      t.references :content, null: false, polymorphic: true

      t.timestamps
    end
  end
end
